/* Some rudimentary help defines for IFF-ILBM handling */

#define FORM 0x464f524d
#define BODY 0x424f4459
#define ILBM 0x494c424d
#define BMHD 0x424d4844
#define CRNG 0x43524e47
#define CMAP 0x434d4150
#define CAMG 0x43414d47
#define CCRT 0x43435254
#define GRAB 0x47524142

struct FORMchunk
{
ULONG Mode;
};

struct BMHDchunk
{
UWORD Width,Height;
UWORD XPos, YPos;
UBYTE Depth;
UBYTE Masking;
UBYTE Compression;
UBYTE Dummy;
UWORD TransparentColor;
UBYTE XAspect,YAspect;
UWORD PageWidth, PageHeight;
};

struct CMAPchunk
{
UBYTE ColorMap[96];
};

struct CRNGchunk
{
UWORD Dummy;
UWORD Speed;
UWORD Activated;
UBYTE UpperCol, LowerCol;
};

struct CAMGchunk
{
ULONG ViewMode;
};

/*
#define NO_MASK  = 0
#define USE_MASK = 1
#define XOR_MASK = 2
#define LASSOING = 3
#define COMPRESSION_ON  = 1
#define COMPRESSION_OFF = 0
*/


